import request from '@/utils/httpRequest'

export default class reimbursementSys {
  findList (params) {
    return request({
      url: '/assess/reimbursementBusiness/findList',
      method: 'get',
      params: params
    })
  }

  findListByBusinessCodeId (id) {
    return request({
      url: '/assess/reimbursementBusiness/findListByBusinessCodeId',
      method: 'get',
      params: {id: id}
    })
  }

  save (inputForm) {
    return request({
      url: `/assess/reimbursementBusiness/save`,
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/assess/reimbursementUser/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: `/assess/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }

  getBusinessById (id) {
    return request({
      url: `/assess/reimbursementBusiness/getBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }
  yearList (params) {
    return request({
      url: '/assess/reimbursementBusiness/getYearList',
      method: 'get',
      params: params
    })
  }
}
